import request from "@/utils/request";
import usePermissionStore from "@/store/modules/permission";
import useUserStore from "@/store/modules/user";

// 登录方法
export function login(username, password, code, uuid) {
  const data = {
    username,
    password,
    code,
    uuid,
  };
  return request({
    url: "/login",
    headers: {
      isToken: false,
    },
    method: "post",
    data: data,
  });
}

// 注册方法
export function register(data) {
  return request({
    url: "/register",
    headers: {
      isToken: false,
    },
    method: "post",
    data: data,
  });
}

// 获取用户详细信息
export function getInfo() {
  // if (useUserStore().userInfoRes) {
  //   return new Promise((resolve, reject) => {
  //     resolve(useUserStore().userInfoRes);
  //   });
  // }
  return request({
    url: "/getInfo",
    method: "get",
  });
}

// 退出方法
export function logout() {
  return request({
    url: "/logout",
    method: "post",
  });
}

// 获取验证码
export function getCodeImg() {
  return request({
    url: "/captchaImage",
    headers: {
      isToken: false,
    },
    method: "get",
    timeout: 20000,
  });
}

// 获取路由
export const getRouters = () => {
  // if (usePermissionStore().routesRes) {
  //   return new Promise((resolve, reject) => {
  //     resolve(usePermissionStore().routesRes);
  //   });
  // }
  return request({
    url: "/getRouters",
    method: "get",
  });
};
